%define product   Localizer
%define version   1.1.0
%define release   9

%define zope_minver 2.7

%define rpm_prefix erp5
%define zope_home %{_prefix}/lib/erp5
%define software_home %{zope_home}/lib/python

Summary:   A Zope product to localize applications
Name:      %{rpm_prefix}-%{product}
Version:   %{version}
Release:   %mkrel %{release}
License:   GPL
Group:     System/Servers
Source:    %{product}-%{version}.tar.bz2
Patch0:    Localizer-1.1.0-compat.patch.bz2
Patch1:    Localizer-1.1.0-string_import.patch.bz2
Patch2:    Localizer-1.1.0-lang_negotiator.patch.bz2
URL:       http://www.ikaaro.org/localizer/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-rootdir
BuildArch: noarch
Requires:  %{rpm_prefix}-zope >= %{zope_minver} python2.4-itools %{rpm_prefix}-iHotfix

#----------------------------------------------------------------------
%description
Localizer is the de-facto standard to build multilingual applications with
Zope. It helps to internationalize and localize Zope products and to build
multilingual web sites through the Management Interface. It deals with
both user interfaces and content.

#----------------------------------------------------------------------
%prep
%setup -q -c
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/
%py_compile %{buildroot}%{software_home}/Products

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%postun
if [ "$1" = "0" ] && [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%files
%defattr(0644, zope, zope, 0755)
%{software_home}/Products/*

#----------------------------------------------------------------------
%changelog
* Wed Aug  8 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 1.1.0-9mdv2007.1
- add *.pyc

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 1.1.0-8mdv2007.0
- Rebuild for Mandriva 2007.0

* Tue Mar 21 2006 Yoshinori Okuji <yo@nexedi.com> 1.1.0-7mdk
- Patch lang_negotiator so that it returns None when context is not available

* Wed Feb 01 2006 Kevin Deldycke <kevin@nexedi.com> 1.1.0-6mdk
- Give ownership to zope

* Wed Jan 25 2006 Kevin Deldycke <kevin@nexedi.com> 1.1.0-5mdk
- Add "Conflicts" statement to disallow the user to install the Localizer package available in Mandriva 2006 repository.
- Delete Translation Service patch

* Wed Jan 05 2006 Kevin Deldycke <kevin@nexedi.com> 1.1.0-4mdk
- Merge nexedi 10.2 spec file with Mandriva 2006 spec file

* Wed Apr 27 2005 Yoshinori Okuji <yo@nexedi.com> 1.1.0-3mdk
- Get back the old behavior of manage_addLanguage for compatibility
- Install files correctly
- Have manage_import accept a string
- Do not install GlobalTranslationService if TranslationService is available

* Tue Apr 25 2005 Yoshinori Okuji <yo@nexedi.com> 1.1.0-2mdk
- Depend on python-itools instead of itools

* Sun Apr 24 2005 Yoshinori Okuji <yo@nexedi.com> 1.1.0-1mdk
- Bump to 1.1.0

* Tue Nov 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-5mdk
- rebuild

* Wed Sep 12 2003 Sebastien Robin <seb@nexedi.com> 1.0.1.4mdk
- Make now signed rpm

* Thu Sep 04 2003 Sebatien Robin <seb@nexedi.com> 1.0.1-3mdk
- change in the spec file '/usr/lib' by %{_libdir}

* Wed Sep 03 2003 Sebastien Robin <sebnexedi.com> 1.0.1-2mdk
- Update spec in order to follows Mandrake Rules

* Sat Oct 12 2002 Jean-Paul Smets <jp@nexedi.com> 1.0.1-1nxd
- Update to version 1.0.1

* Sat Oct 12 2002 Jean-Paul Smets <jp@nexedi.com> 0.8.1-1nxd
- Initial release
